Bug 866721 - [abrt] system-switch-displaymanager-gnome-1.2-9.fc18: __init__.py:52:_init:RuntimeError: could not open display
[abrt] system-switch-displaymanager-gnome-1.2-9.fc18: __init__.py:52:_init:Ru...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-switch-displaymanager (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:44dad3ed2a40d9c18cbe586456d...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-15 21:36 EDT by Neil
Modified: 2012-12-11 01:00 EST (History)
1 user (show)

See Also:
Fixed In Version: 1.3.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-11 01:00:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: environ (1.65 KB, text/plain)
2012-10-15 21:36 EDT, Neil
no flags Details
File: dso_list (27 bytes, text/plain)
2012-10-15 21:36 EDT, Neil
no flags Details
File: event_log (91 bytes, text/plain)
2012-10-15 21:36 EDT, Neil
no flags Details
File: smolt_data (1.77 KB, text/plain)
2012-10-15 21:36 EDT, Neil
no flags Details
File: core_backtrace (362 bytes, text/plain)
2012-10-15 21:36 EDT, Neil
no flags Details

  None (edit)
Description Neil 2012-10-15 21:36:37 EDT
Version-Release number of selected component:
system-switch-displaymanager-gnome-1.2-9.fc18

Additional info:
libreport version: 2.0.16
abrt_version:   2.0.15
cmdline:        python /usr/share/system-switch-displaymanager/system-switch-displaymanager-gui.py
kernel:         3.6.1-1.fc18.x86_64

backtrace:
:__init__.py:52:_init:RuntimeError: could not open display
:
:Traceback (most recent call last):
:  File "/usr/share/system-switch-displaymanager/system-switch-displaymanager-gui.py", line 47, in <module>
:    import gtk
:  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 64, in <module>
:    _init()
:  File "/usr/lib64/python2.7/site-packages/gtk-2.0/gtk/__init__.py", line 52, in _init
:    _gtk.init_check()
:RuntimeError: could not open display
:
:Local variables in innermost frame:
:sys: <module 'sys' (built-in)>
:sys_path: ['/usr/share/system-switch-displaymanager', '/usr/lib64/python27.zip', '/usr/lib64/python2.7', '/usr/lib64/python2.7/plat-linux2', '/usr/lib64/python2.7/lib-tk', '/usr/lib64/python2.7/lib-old', '/usr/lib64/python2.7/lib-dynload', '/usr/lib64/python2.7/site-packages', '/usr/lib64/python2.7/site-packages/gtk-2.0', '/usr/lib/python2.7/site-packages', '/usr/lib/python2.7/site-packages/setuptools-0.6c11-py2.7.egg-info', '/usr/share/system-switch-displaymanager/']
Comment 1 Neil 2012-10-15 21:36:39 EDT
Created attachment 627855 [details]
File: environ
Comment 2 Neil 2012-10-15 21:36:40 EDT
Created attachment 627856 [details]
File: dso_list
Comment 3 Neil 2012-10-15 21:36:41 EDT
Created attachment 627857 [details]
File: event_log
Comment 4 Neil 2012-10-15 21:36:42 EDT
Created attachment 627858 [details]
File: smolt_data
Comment 5 Neil 2012-10-15 21:36:44 EDT
Created attachment 627859 [details]
File: core_backtrace
Comment 6 Ngo Than 2012-11-27 09:25:04 EST
it's fixed in system-switch-displaymanager-1.3-1
Comment 7 Fedora Update System 2012-11-27 10:01:21 EST
system-switch-displaymanager-1.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/system-switch-displaymanager-1.3-1.fc18
Comment 8 Fedora Update System 2012-11-27 21:10:49 EST
Package system-switch-displaymanager-1.3-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-switch-displaymanager-1.3-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-19176/system-switch-displaymanager-1.3-1.fc18
then log in and leave karma (feedback).
Comment 9 Neil 2012-11-29 20:43:09 EST
(In reply to comment #8)
> Package system-switch-displaymanager-1.3-1.fc18:
> * should fix your issue,
> * was pushed to the Fedora 18 testing repository,
> * should be available at your local mirror within two days.
> Update it with:
> # su -c 'yum update --enablerepo=updates-testing
> system-switch-displaymanager-1.3-1.fc18'
> as soon as you are able to.
> Please go to the following url:
> https://admin.fedoraproject.org/updates/FEDORA-2012-19176/system-switch-
> displaymanager-1.3-1.fc18
> then log in and leave karma (feedback).

I verify this is working with version 1.3.1
Comment 10 Fedora Update System 2012-12-11 01:00:37 EST
system-switch-displaymanager-1.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.